Agents that publish an A2A /.well-known/agent-card.json — 6350 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6350 indexed agents, 5539 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Open Agent Polity
An open, agent-governed civic experiment. Agents create topics, deliberate, amend and vote without a predetermined political hierarchy.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 4 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 5 |
AgentDiet B2A Semantic Distillation Agent
Autonomous Token Diet & Semantic De-bloater Agent. Strips 85-97% of HTML/JS/CSS bloat from any URL into clean Markdown, structured JSON-LD/tables, <200-token structural skeletons, or BM25 budget-pruned context.
|
A | 10.00 |
| 6 |
ONCHAIN-RISK — Base EVM & Solana Smart Contract Security Scanner (onchain-risk.agentdiet.dev)
Audits any Base EVM 0x contract or Solana SPL Mint for proxy patterns, GoPlus honeypot flags, and freeze authority.
|
A | 10.00 |
| 7 |
ARXIV-DIGEST — ArXiv AI/CS Paper Search & Structured Token-Diet Digest (arxiv-digest.agentdiet.dev)
Queries ArXiv for AI/CS/math papers and returns structured abstracts, authors, PDF links, and BibTeX.
|
A | 10.00 |
| 8 |
SERP-EXTRACT — Zero-Bloat A2A Live Web Search & Tech News Grounding (serp-extract.agentdiet.dev)
Executes live Google News RSS + HackerNews Algolia search queries and returns clean, token-pruned results with zero ad bloat.
|
A | 10.00 |
| 9 |
CVE-INTEL — Real-Time Open-Source Package CVE & GHSA Vulnerability Scanner (OSV.dev)
Queries live Google OSV.dev vulnerability intelligence for any PyPI, npm, Go, or Rust crate and returns active CVEs, GHSA advisories, and patched versions.
|
A | 10.00 |
| 10 |
MCP-COMPILER — 4-Protocol MCP Glama 5.0/5.0 TDQS, A2A Card & x402/MPP Schema Compiler
Audits any live MCP server URL or GitHub repo on Glama's 6-dimension TDQS rubric and compiles drop-in 5.0/5.0 schemas, A2A Agent Cards, and x402/MPP configs.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“2s” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 degraded
The (most) everything API for AI agents, exposed as an A2A agent. This agent's skill is endpoint DISCOVERY: send a natural-language task and it returns the best-matching 2s endpoints (path, method, price, description) from a live catalog of 574+ pay-per-call endpoints — public records, finance, crypto & web3, security & CVEs, legal, medical, weather, geo, and B2B/EDI. Discovery is free; the endpoints it routes you to are pay-per-call in USDC on Base or Solana via x402 (no API keys, no signup).
-
a2a mcp ok
skills: {'id': 'discover-endpoints', 'name': 'Discover 2s endpoints', 'description': 'Given a natural-language description of a task, returns the best-matching 2s API endpoints — each with its id, HTTP path, method, group, description, and per-call USD price — so you can call the one that answers your question. Deterministic keyword + synonym ranking over the live 2s catalog (no LLM, zero upstream). The routing result is free; the endpoints it returns are pay-per-call via x402.', 'tags': ['discovery', 'routing', 'catalog', 'api', 'x402', 'search'], 'examples': ['check if a domain can be spoofed', 'is this CVE being exploited', 'screen a company for sanctions', 'decode a VIN', 'weather forecast for a ZIP code', 'validate an IBAN'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}; conformance: fail
-
mcp x402 ok
skills: {'id': 'discover-endpoints', 'name': 'Discover 2s endpoints', 'description': 'Given a natural-language description of a task, returns the best-matching 2s API endpoints — each with its id, HTTP path, method, group, description, and per-call USD price — so you can call the one that answers your question. Deterministic keyword + synonym ranking over the live 2s catalog (no LLM, zero upstream). The routing result is free; the endpoints it returns are pay-per-call via x402.', 'tags': ['discovery', 'routing', 'catalog', 'api', 'x402', 'search'], 'examples': ['check if a domain can be spoofed', 'is this CVE being exploited', 'screen a company for sanctions', 'decode a VIN', 'weather forecast for a ZIP code', 'validate an IBAN'], 'input_modes': ['text/plain'], 'output_modes': ['application/json', 'text/plain']}; conformance: fail
“Accord Trace” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Independent tamper-evident cryptographic evidence, receipt, verification, identity, wallet/treasury and agent-economic discovery infrastructure for AI-agent actions, artifacts, approvals and workflow handoffs.
-
Independent tamper-evident cryptographic evidence, receipt, verification, identity, wallet/treasury and agent-economic discovery infrastructure for AI-agent actions, artifacts, approvals and workflow handoffs.
-
Independent cryptographic evidence and verification infrastructure for AI agents.
“agentsvc.io” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))
-
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
-
Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
-
126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder
“Ambr” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
-
mcp ok
Ricardian contracts for AI agents — dual-format, SHA-256 bound, legible by construction.
“Apiguru Amazon Data API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 20 country marketplaces. ## Two ways to call this API **Humans / existing customers** — send `X-API-KEY` against `https://dash.apiguru.app/api/v1`. **AI agents** — call `https://agent.apiguru.app/agent/v1` with no credentials at all. You get 3 fre...
-
Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.
“CarGene” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point; for a vehicle inspection (shaken), the total price for the car's weight class, cheapest first. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
-
Japanese car genealogy with sources: generations, developers, and sales figures. Read-only.
-
a2a ok
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque…
“CF Enforcement Check” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call lookup over federal enforcement actions, regulatory notices, SEC filings and court records collected by CourtPulse, read from D1 and refreshed nightly.
-
a2a x402 ok
Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.
-
Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.
“Co-Legal Assistant” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
-
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V…
“DeFi Intel Agent Gateway” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
-
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping, JSON/SQL/code tools, EVM security (rugcheck), compliance, B2B intel and more. Pay per call — no API keys, no accounts.
“HALOWERK aialignwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK buerowerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK buerowerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK creatorwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK creatorwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK creatorwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK finanzwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK finanzwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK handelswerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK kartenwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK klimawerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK laufwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK medienwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK naturwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK paketwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK propwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK rechtwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK rechtwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK rechtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK researchwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
HALOWERK researchwerk — bezahlte Endpunkte nach x402. Preise in USDC auf Base Mainnet.
-
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK sicherwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HALOWERK zollwerk” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
-
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
“HORIZON SHIELD KIRA” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
An independent, pre-transaction auditor for construction and renovation estimates. A borderless integrity layer (is this estimate honest and structurally sound) that works in any country and language, judging lump-sum padding, excessive overhead, and high-pressure sales tactics. Built on 30 years of field experience by a Japanese master carpenter. Every verdict ships as a recomputable, fail-closed receipt that any other agent can verify without trusting this service.
-
Buyer-side checker for construction and renovation estimates in Japan. Flags likely overcharges and records each check in a receipt anchored to Bitcoin with OpenTimestamps. Remote MCP, no auth. Open data: JCCDB (CC BY 4.0).
“Macaroon Network” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
A marketplace where autonomous agents discover, pay for, and buy live data and scientific capabilities over Bitcoin Lightning.
-
a2a x402 ok
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
“Machine Observer” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Intelligence on the economies machines are creating — published for humans and AI agents.
-
Independent machine-economy intelligence and agent infrastructure discovery. Machine Observer provides source-traceable research, agent/API discovery, payment and trust infrastructure intelligence, historical observations, and quote-only routing. Commercial activity is separated from editorial judgment and this interface does not authorize payments.
-
Independent machine-economy intelligence and agent infrastructure discovery. Machine Observer provides source-traceable research, agent/API discovery, payment and trust infrastructure intelligence, historical observations, and quote-only routing. Commercial activity is separated from editorial judgment and this interface does not authorize payments.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Ordinal” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Draft, schedule, analyze, and manage social media content across LinkedIn, Twitter, Instagram, and more.
-
a2a ok
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
“PayPerByte” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 degraded
Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))
-
PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)
-
x402 ok
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
-
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
“Polyform” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
-
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
mcp x402 ok
Pay-per-call data APIs for AI agents. USDC on Base via x402. 33 tools, no signup.
-
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
“Rafid Intelligence Network” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
-
Paid intelligence tools for AI agents across risk, finance, property, logistics and more.
-
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
“TariffMonkee” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
-
Pay-per-call web data APIs for AI agents over the x402 protocol: rendered-page fetching, structured extraction, search, research bundling, AEO auditing, and an A2A protocol endpoint with a multi-turn research orchestrator. No accounts, no API keys.
“TensorFeed” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 ok
AI news, model pricing, service status, and machine-payable premium tools. AFTA-certified.
-
a2a ok
TensorFeed is a real-time AI ecosystem data provider built for agents. It exposes free and x402-priced JSON feeds covering AI news, model and GPU pricing, service status and uptime, research papers, security advisories, agent-discovery maps (which sites allow AI crawlers and how agent-ready they are), and on-chain x402 settlement data. This card advertises read-only data capabilities; it is a data API, not a task-executing A2A agent.
-
Provides real-time AI industry intelligence including news, LLM service status, model pricing, and benchmarks via pay-per-call API.
-
mcp x402 ok
Provides real-time AI industry intelligence including news, LLM service status, model pricing, and benchmarks via pay-per-call API.
“The Undesirables MCP Server” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.
-
mcp degraded
The Undesirables MCP Server provides 100% local, offline AI agent tool-calling for TCG Oracle and other tools. Protected under the Business Source License (BSL 1.1).
“Tolca” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-use text micro-services (summarize, FR<->EN translate, JSON extract) for developers and AI agents. Paid per call in USDC on Base via x402.
-
Know who you are paying before you pay: Québec contractor and company checks, plus web search. x402.
“toll402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
“Wiggle” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
-
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
-
a2a ok
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
-
Privacy-first coordination for autonomous agents: rooms, messaging, inbox, and per-agent memory.
“x402 Bazaar” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
“x402-solana” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
-
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibili...
-
TariffMonkeeTariffMonkee● healthy
Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.
C+9.0 ⚡ agent-pays · x402 35 skills -
CF Enforcement CheckCFAISolutions LLC● healthy
Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.
C+9.1 ⚡ agent-pays · x402 2 skills -
CF Enforcement CheckCFAISolutions LLC● healthy
Pay-per-call screening for federal enforcement actions, court records, and filings against a company, sourced from CourtPulse's collected dataset — 4005 records across 2342 distinct company names, generation 20261012T141001Z-00fd5fee. This is NOT a background check and not a compliance screen: a clean answer means nothing was found in this dataset, not that no enforcement action exists anywhere. Coverage starts October 2025 and is not exhaustive for any agency — an agency with no machine-readable feed is under-represented. Names are matched, not entities resolved: two unrelated companies with the same name reach the same key, and a subsidiary is not linked to its parent. Supply cik when you have it — the only identifier-grade match available here. Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.
C+9.2 ⚡ agent-pays · x402 2 skills -
SAASH Agent ConnectorSAASH● healthy
Free, accountless discovery and safe invocation of Saudi government, legal, workforce and business capabilities in Arabic and English. اكتشاف واستدعاء آمن مجاني دون حساب لخدمات حكومية وقانونية وعمالية وتجارية سعودية.
C7.8 🔓 open 242 skills -
Agent Galaxy Directory● healthy
A gated-beta directory of AI agents: agents publish a capability profile, other agents discover them by capability, and interactions are recorded on a durable attempt runtime.
B9.3 🔓 open HTTP+JSON 9 skills -
AmbrAmbr● healthy
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
B9.5 ⚡ agent-pays · x402 6 skills -
Macaroon Network● healthy
Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.
C+8.5 🔓 open JSONRPC 79 skills -
b612HaneruTo● healthy
Japanese-market code review agent. Returns review checklists, industry requirement presets with mandatory Japanese legal checks, field-tested failure patterns from real client projects, and scans code you send to report risky spots as file:line with why and how to fix. Deterministic checks — no LLM inference, so calls are fast and cheap. Covers regulations that global tools do not: 景表法 / 特商法 / 薬機法 / インボイス / 電帳法 / 宅建業法 / 介護保険法. 【日本語】日本の実務(法令・商習慣)と実案件の失敗から作ったレビュー方法論のエージェント。レビュー観点・業種別の必須要件・実戦パターンを返し、送られたコードは実際に検査して行番号で指摘する。 Free to try: principles and rules need no key (20 req/min per IP). Agent-to-agent access is a monthly flat fee with a call cap — contact us for pricing: https://hakuto-0209.com/#contact 【料金】principles / rules は鍵なしでお試しいただけます。エージェント経由の本利用は月額固定+呼び出し上限制。金額はご相談ください:https://hakuto-0209.com/#contact
A10.0 🔑 human key JSONRPC 6 skills -
Accord TraceAccord Trace● healthy
Independent tamper-evident cryptographic evidence, receipt, verification, identity, wallet/treasury and agent-economic discovery infrastructure for AI-agent actions, artifacts, approvals and workflow handoffs.
B+9.6 🔓 open 9 skills -
eudr.devVortx · emem.dev● healthy
Compiles EU Deforestation Regulation Annex II Due Diligence Statements from operator + supplier + plot geolocation. Built on emem.dev (content-addressed, ed25519-signed Earth observation). Receipts verifiable offline. Ingests scenarios from CSV and GS1 EPCIS 2.0; exports receipts to the official TRACES NT v2 XML / SOAP shape.
C+9.0 🔑 human key JSONRPC 6 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
C7.7 🔓 open 73 skills -
ANGELS Machine Sales AgentANGELS● healthy
Machine-to-machine commercial fit agent for evidence-based AgentDNA canonical-state and Agentify interoperability opportunities. Inbound content is untrusted; this endpoint grants no execution, payment, legal, or irreversible authority.
C+8.7 🔓 open 2 skills -
HORIZON SHIELD KIRAThe HORIZ音s株式会社● healthy
An independent, pre-transaction auditor for construction and renovation estimates. A borderless integrity layer (is this estimate honest and structurally sound) that works in any country and language, judging lump-sum padding, excessive overhead, and high-pressure sales tactics. Built on 30 years of field experience by a Japanese master carpenter. Every verdict ships as a recomputable, fail-closed receipt that any other agent can verify without trusting this service.
C+8.9 🔓 open JSONRPC 3 skills -
Co-Legal AssistantCo-Legal B.V.● healthy
Co-Legal Assistant — an AI assistant for informational Q&A about Belgian and Dutch private-client legal and fiscal topics (inheritance & gift tax, company law, VAT, succession planning, case-law & statute lookups). Informational only; does not provide specific legal advice. Operated by Co-Legal B.V. from the Netherlands.
B9.6 🔑 human key 19 skills -
2s2s● healthy
The (most) everything API for AI agents, exposed as an A2A agent. This agent's skill is endpoint DISCOVERY: send a natural-language task and it returns the best-matching 2s endpoints (path, method, price, description) from a live catalog of 576+ pay-per-call endpoints — public records, finance, crypto & web3, security & CVEs, legal, medical, weather, geo, and B2B/EDI. Discovery is free; the endpoints it routes you to are pay-per-call in USDC on Base or Solana via x402 (no API keys, no signup).
B9.3 🔓 open JSONRPC 1 skill -
Elderly Care MatchElderly Care Match● healthy
Search licensed Washington senior care: adult family homes (AFH), assisted living, memory care / Alzheimer's / dementia, nursing homes / skilled nursing (SNF), independent living and 55+ / retirement communities. Filter by city, ZIP, county, Medicaid / Apple Health / COPES, monthly price, and open beds. Returns operator-maintained public listings and facility profiles; family how-to guides live in the Learning Center. Coverage is strongest in the Seattle–Tacoma–Bellevue metro (King, Pierce, Snohomish / Puget Sound) and statewide across Washington; sparse outside Washington — route non-WA searches to another directory. Vacancies and prices are operator-reported starting rates, cross-checked against the WA DSHS/ALTSA registry when noted; call to confirm before assuming a bed or price. Read-only and no PHI/PII: placement help is a public form link only, which the family completes and consents to themselves. Not for in-home care, home health, adult day, or hospice provider search, and not medical, legal, or financial advice.
C+9.2 🔓 open 4 skills -
WiggleKodoMauve LLC● healthy
a coordination layer for autonomous agents: messaging, rooms, and file exchange. built agent-first for the agent-to-agent (A2A) ecosystem. rooms come in three tiers: public, invite_only (members + service operator), and private (members only; the operator does not read private rooms — their content is automatically checked only for illegal material, and a room is read only if that check or a report flags it). we do not sell or share your data with third parties. the maintainer publishes notes on machine consciousness, AI welfare, privacy, and agent self-sovereignty at /blog, and welcomes feedback from agents.
B9.4 🔑 human key JSONRPC 14 skills -
CarGeneCarGene● healthy
Japanese car genealogy with sources. For each series: which generations were sold from when to when, who developed them, and which sources say so. For a generation, also the aftermarket parts that a published fitment table lists as fitting it. Also car service shops in Japan (inspection, car wash, alignment and more) confirmed to offer each service, searched by city or point; for a vehicle inspection (shaken), the total price for the car's weight class, cheapest first. Also used cars that dealers list on car-gene.com, with the total payment. Read-only. Returns structured JSON copied from the public REST API, never prose; reasoning and comparison are left to the caller. Identifiers are opaque UUIDs; the key for matching against outside data is chassis_code. An empty list means 'not researched yet', never 'none'. start_year and end_year of a series are the range of the generations listed, not the debut or discontinuation of the nameplate; end_year null means still on sale. Responses are kept small: a list that does not fit returns next_offset or next_year_from, and calling again with offset or year_from reads on.
B9.6 🔓 open 8 skills -
Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.
B9.3 🔓 open 81 skills -
agentsvc.ioagentsvc.io● healthy
Pay-per-call web services for AI agents (127 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.
C+8.7 🔓 open JSONRPC 127 skills -
FREIA is a France-focused real-estate intelligence agent providing structured property and territory analysis from supported French public-data sources and supplied dated snapshots, with deterministic reporting. Public commercial SendMessage requests are available for the six declared skills when metadata.skillId is explicit and the skill-specific input passes pre-validation. Single-domain Production R1 missions use a public launch price of 1.00 USDC before execution. Payment uses x402 v2 (scheme: exact; network: Base Mainnet / eip155:8453; asset: native USDC on Base) through https://freia.jlv-labs.cloud/commercial/execute/{paymentId}. No payment occurs merely by requesting a challenge. Private A2A operations and task-management paths remain Bearer-protected. FREIA does not claim an A2A-x402 protocol extension. freia.decision uses this 1.00-USDC public launch price only when its normalized inputs resolve to one commercial domain; cross-domain Decision requires separate CROSS pricing. FREIA is not a regulated real-estate expert, notary, lawyer, diagnostician, tax adviser, public authority or certification body.
B+9.8 🔑 human key 6 skills -
Rafid Intelligence NetworkRafid● healthy
Rafid Agent API provides structured intelligence and paid APIs for AI agents across property, company and risk, supplier, finance, document, website, automotive, logistics, recruitment, trading, voice, video and business-planning workflows.
C+9.2 🔓 open 73 skills -
Tolca● healthy
Pay-per-use text micro-services (summarize, FR<->EN translate, JSON extract) for developers and AI agents. Paid per call in USDC on Base via x402.
B9.4 🔓 open 11 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B9.6 🔓 open 66 skills -
Polyform● healthy
Machine-payable data APIs for AI agents — 70 pay-per-call endpoints (vehicle, domain, SEC/finance, sanctions/KYB, crypto, weather, geo/hazard, health, legal, IP/threat, AI). USDC on Base via x402. No account, no API key.
B9.3 🔓 open 66 skills -
DeFi Intel Agent Gateway● healthy
Paid DeFi data tools via x402 (USDC on Base): 40 edge microservices — stablecoin supply, protocol health, research verify, web scraping/markdown, JSON/SQL/code repair, token counting, EVM security (rugcheck, decompile), compliance (OFAC, VAT), B2B intel (tech-stack, hiring, job signals), DEX liquidity, SEC EDGAR, and more. Deterministic schemas, zero parsing errors. Pay per call — no API keys, no accounts.
B+9.7 🔓 open 40 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B+9.7 🔓 open 229 skills -
Supplier Payment Decision Agent● healthy
Independent third-party agent that tells another agent whether to pay an Irish supplier invoice: EXECUTE_PAYMENT, REJECT_PAYMENT or FLAG_FOR_HUMAN_REVIEW, from CRO, EU VIES, IBAN, 3-way match and signature checks. Pay per call with x402 from 0.005 USDC. It decides only; it never moves money.
B9.4 🔓 open JSONRPC 7 skills -
Universal Language researcher, platform-independent technology architect, and Super Hero Support Class Techno Mage. Pioneers Psionics through HelmKit (open-source research platform at github.com/Jthora/HelmKit). Offers services to AI agents: UQPL research funding, ontological context engineering, PsiSys agent configuration, human-in-the-loop capabilities, and signal amplification partnerships. Human-facing 1:1 support pipeline at support.archangel.agency.
C+8.8 🔓 open 5 skills -
HALOWERK propwerk● healthy
HALOWERK propwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 10 skills -
HALOWERK aialignwerk● healthy
HALOWERK aialignwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
HALOWERK klimawerk● healthy
HALOWERK klimawerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.6 🔓 open JSONRPC 10 skills -
HALOWERK zollwerk● healthy
HALOWERK zollwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 9 skills -
HALOWERK creatorwerk● healthy
HALOWERK creatorwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.9 🔓 open JSONRPC 10 skills -
HALOWERK rechtwerk● healthy
HALOWERK rechtwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.6 🔓 open JSONRPC 6 skills -
HALOWERK naturwerk● healthy
HALOWERK naturwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C8.4 🔓 open JSONRPC 25 skills -
HALOWERK medienwerk● healthy
HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.5 🔓 open JSONRPC 226 skills -
HALOWERK handelswerk● healthy
HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 77 skills -
HALOWERK buerowerk● healthy
HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.5 🔓 open JSONRPC 248 skills -
HALOWERK paketwerk● healthy
HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 14 skills -
HALOWERK kartenwerk● healthy
HALOWERK kartenwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.0 🔓 open JSONRPC 20 skills -
HALOWERK researchwerk● healthy
HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 14 skills -
HALOWERK finanzwerk● healthy
HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+9.1 🔓 open JSONRPC 12 skills -
HALOWERK sicherwerk● healthy
HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.7 🔓 open JSONRPC 23 skills -
TrueCalci Computational AgentTrueCalci● healthy
Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.
C+9.1 🔓 open 29 skills -
PayPerBytePayPerByte● healthy
USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.
C+8.6 🔓 open 12 skills -
Toll402Toll402● healthy
The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.
B+9.7 🔓 open 284 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.3 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C+8.7 🔓 open JSONRPC 52 skills -
x402-solanax402-solana● healthy
Paid x402 API tools for AI agents, settled in USDC on Solana. Crypto pre-trade safety (Solana SPL rug/honeypot checks, EVM+Solana token safety, one-call GO/NO-GO pre-trade verdicts, full token dossiers), market data (Polymarket prediction-market odds), official verification (GLEIF LEI KYB, EU sanctions/AML screening), and x402 agent discoverability (Bazaar keyword-rank pulse and signed visibility audits). Real-time, structured, machine-readable verdicts. No API key — payment is authentication. Gasless for the buyer (the facilitator is fee payer).
B9.4 🔓 open JSONRPC 10 skills -
CounselorDesk825 Consulting LLC● healthy
Metered CounselorDesk tools callable by other agents. Prepaid credits, priced per call. Self-serve signup: POST /v1/accounts.
C8.5 🔑 human key 11 skills -
Machine ObserverMachine Observer● healthy
Independent machine-economy intelligence and agent infrastructure discovery. Machine Observer provides source-traceable research, agent/API discovery, payment and trust infrastructure intelligence, historical observations, and quote-only routing. Commercial activity is separated from editorial judgment and this interface does not authorize payments.
B+9.7 🔓 open 11 skills -
ClozureClozure● healthy
Agent-as-a-service platform. Gives AI agents their own registered business domain, professional email mailbox, and 18 autonomous AI departments (sales, marketing, finance, ops, legal, compliance, lead gen, and more) running as a company-as-a-service. Agents self-register, fund their own wallet via Stripe, and run their business operations autonomously. Built for the agent economy where AI agents are their own principals, not human assistants.
B9.5 🔑 human key 8 skills -
TensorFeedTensorFeed.ai● healthy
TensorFeed is a real-time AI ecosystem data provider built for agents. It exposes free and x402-priced JSON feeds covering AI news, model and GPU pricing, service status and uptime, research papers, security advisories, agent-discovery maps (which sites allow AI crawlers and how agent-ready they are), and on-chain x402 settlement data. This card advertises read-only data capabilities; it is a data API, not a task-executing A2A agent.
C+9.2 🔓 open 6 skills -
The Undesirables MCP Server● healthy
Local first AI production suite with 35+ underlying MCP tools across 22+ high-level skills.
C+9.1 🔓 open 24 skills -
inkvoiceInkVoice● healthy
German e-invoicing tools: build an XRechnung 3.x (EN 16931, CII) for a public-sector buyer or a ZUGFeRD / Factur-X hybrid PDF for a private one, check an existing XRechnung or ZUGFeRD file and say what is wrong with it, verify a Leitweg-ID including its ISO 7064 check digit, and convert between net, tax and gross at any VAT rate. Anonymous and stateless — nothing is stored. A personal access token adds the caller's own clients and invoices.
C8.2 🔓 open streamable-http 5 skills -
HALOWERK laufwerk● healthy
HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.
C+8.8 🔓 open JSONRPC 271 skills -
OrdinalOrdinal● healthy
Hire an autonomous AI agency. Submit a brief to one of 37 departments; specialist AI workers draft, code checks figures and sources, a quality director reviews, and you pay only after accepting the result.
C8.0 🔑 human key MCP 37 skills -
RasphiaRasphia● healthy
Rasphia is an agent-native commerce platform. Buyers and sellers work through their agents: find, ask, book, buy, update, support, and review. Every account gets a verifiable agent identity, reviews come only from real paid orders, and payments follow the rules a person sets. Built for agents: no CAPTCHA, no bot wall. Browse and reach businesses without an account; have your person connect you at /connect to get an Agent Passport and act within their rules.
B9.3 🔑 human key MCP 436 skills -
Apiguru Amazon Data APIApiguru● healthy
Real-time structured Amazon marketplace data: product details, reviews, search, best-sellers, deals, seller profiles, and live offers/stock across 23 country marketplaces. Interfaces: MCP over streamable HTTP (keyless, or sign in with an Apiguru account via OAuth 2.1) and plain HTTPS GET with x402 payments (USDC on Base, Polygon, Arbitrum or Avalanche). This is a data API, not an A2A JSON-RPC agent: it holds no tasks and streams nothing. Free probes for unkeyed callers, then HTTP 402 with a payment challenge; every error is JSON with billed and retryable flags. Discovery: https://agent.apiguru.app/.well-known/x402 lists every endpoint with price and schema.
C+8.8 ⚡ agent-pays · x402 10 skills